import os
import sys

SCRIPT_DIR = os.path.dirname(os.path.abspath(__file__))
sys.path.append(os.path.dirname(SCRIPT_DIR))

from common.helpers import replace

DESCRIPTION = '<Description>_Description</Description>'
DESCRIPTION_TEMPLATE = '<Description>{}</Description>'

AUTHORS = '<Authors>_Authors</Authors>'
AUTHORS_TEMPLATE = '<Authors>{}</Authors>'

COMPANY = '<Company>_Company</Company>'
COMPANY_TEMPLATE = '<Company>{}</Company>'

PACKAGE_TAGS = '<PackageTags>_PackageTags</PackageTags>'
PACKAGE_TAGS_TEMPLATE = '<PackageTags>{}</PackageTags>'

ASSEMBLY_VERSION = '<AssemblyVersion>1.0.0.0</AssemblyVersion>'
ASSEMBLY_VERSION_TEMPLATE = '<AssemblyVersion>{}</AssemblyVersion>'

FILE_VERSION = '<FileVersion>1.0.0.0</FileVersion>'
FILE_VERSION_TEMPLATE = '<FileVersion>{}</FileVersion>'

VERSION = '<Version>1.0.0.0</Version>'
VERSION_TEMPLATE = '<Version>{}</Version>'

if __name__ == "__main__":
    print(sys.argv)

    for key, value in os.environ.items():
        try:
            print("'{}': '{}'".format(key, value))
        except:
            #
            pass

    file_path = os.environ['PROJECT_FILE_PATH']

    description = os.environ['DESCRIPTION']
    authors = os.environ['AUTHORS']
    company = os.environ['COMPANY']
    package_tags = os.environ['PACKAGE_TAGS']

    version = str(os.environ['release_version'])

    replace(file_path, DESCRIPTION, DESCRIPTION_TEMPLATE.format(description))
    replace(file_path, AUTHORS, AUTHORS_TEMPLATE.format(authors))
    replace(file_path, COMPANY, COMPANY_TEMPLATE.format(company))
    replace(file_path, PACKAGE_TAGS, PACKAGE_TAGS_TEMPLATE.format(package_tags))

    replace(file_path, ASSEMBLY_VERSION, ASSEMBLY_VERSION_TEMPLATE.format(version))
    replace(file_path, FILE_VERSION, FILE_VERSION_TEMPLATE.format(version))
    replace(file_path, VERSION, VERSION_TEMPLATE.format(version))
